Mobileread
DRM Removal Please Help
#1  Parriss 09-27-2020, 07:37 AM
Help needed! Using Calibre 5.0.1 book management system and I have just ran into this problem.

Just purchased a Kindle book azw format and could not to convert to epub. The error message was “cannot convert the ex files because book locked by DRM”. This is new - previously had no problem.

Figured that a new DRM Removal version was requited Looked for available plugins (get plugin to enhance calibre) and that plugin is not listed, then, looked under “change calibre behavior” to see if a new DRM removal tool was available under Advanced Plugins not located.

Closed Calibre and downloaded the newest DRM Removal Tools for eBooks version from Apprentice Alf’s Blog.

After download, opened "Change Calibre behaviour" option under “Advanced” clicked on “Plugins” and clicked on "Load plugin from file" in the unzipped Alf's tools , clicked on the DeDRM_calibre_plugin folder (DeDRM_plugin.zip file).

Tried to plug in v6.8.0(Jun 18)/ v6.7.0 (Feb 17)/ v6.6.3 (Mar 30, 2019) all unsuccessfully.
__
v6.8.0 - error message reads – SyntaxError:invalaid syntax(calibre-plugins.dedrm._init_line168)
File "calibre_plugins.dedrm.__init__", line 168
print u"{0} v{1}: Copying needed library files from plugin's zip".format(PLUGIN_NAME, PLUGIN_VERSION)
^
SyntaxError: invalid syntax
____________
v6.7.0 - error message reads – SyntaxError:invalaid syntax(calibre-plugins.dedrm._init_line168)
File "calibre_plugins.dedrm.__init__", line 168
print u"{0} v{1}: Copying needed library files from plugin's zip".format(PLUGIN_NAME, PLUGIN_VERSION)
^
SyntaxError: invalid syntax
____________________________

v6.6.3 - error message reads – SyntaxError:invalaid syntax(calibre-plugins.dedrm._init_line167)
File "calibre_plugins.dedrm.__init__", line 167
print u"{0} v{1}: Copying needed library files from plugin's zip".format(PLUGIN_NAME, PLUGIN_VERSION)
^
SyntaxError: invalid syntax
_____________
My question is this.

Since the Apprentice Alf’s blog program is no longer compatible with Calibre is there another DRM removal Tools for eBooks for the Calibre Platform available for dowlnoad?

#2  pdurrant 09-27-2020, 07:39 AM
Quote Parriss
Since the Apprentice Alf’s blog program is no longer compatible with Calibre is there another DRM removal Tools for eBooks for the Calibre Platform available for dowlnoad?
No. Or at least, not yet. I'm sure people are working on porting the DeDRM plugin to Python 3. But that's a lot of code to port and test!

The best advice is to use the latest calibre 4.x for now if you need DRM removal.

#3  JSWolf 09-27-2020, 10:36 AM
What I am going to do until the DeDRM plugin is fixed is run a combination of 5.x and 4.23 using a full version and a portable version.

#4  BetterRed 09-27-2020, 06:02 PM
Moderator Notice

See For all the obligatory "DeDRM isn't working!!!" posts...

Thread Closed and Moved

BR

Today's Posts | Search this Thread | Login | Register